1.4.2,why not?

Need help with any SMBX game-related issues? Ask your questions here.
User avatar
BataCara
Spiny
Spiny
Posts: 44
Joined: Sat Jun 18, 2016 6:40 pm
Current Project: The Bad Invasion

1.4.2,why not?

Postby BataCara » Wed Jul 06, 2016 9:54 pm

I posted an episode,but, to play is needed 1.4.2 , now its locked! why i cant post in 1.4.2?
I support:

Image

User avatar
bossedit8
Banned
Posts: 6846
Joined: Fri Dec 20, 2013 12:35 pm
Current Project: Airship Attack 2
Chat Username: <3 bossedit8 <3
Contact:

Re: 1.4.2,why not?

Postby bossedit8 » Wed Jul 06, 2016 10:04 pm

This forum is sadly not allowed to have 1.4.2 contents because it's left unsupported.

PixelPest
Link
Link
Posts: 7116
Joined: Sun Jul 12, 2015 5:38 pm
Flair: Tamer of Boom Booms
Current Project: Boom Boom Evolution
Chat Username: PixelPest
Contact:

Re: 1.4.2,why not?

Postby PixelPest » Wed Jul 06, 2016 10:09 pm

There are a few reasons why the Admins (or just Joey possibly) decided to disallow it:
  • The first build, 1.4.1, was very unuserfriendly since it required the computer's language to be Chinese.
  • Different physics and file types, meaning that compatibility was a major issue.
  • No direct access to the code and feedback, since 38A is not part of this community or in contact with anyone who is part of it to the best of my knowledge.
  • SMBX 2.0 was started and was chosen to be focused on since it is built off of the original game and not from scratch.
EDIT: You can however post standalone levels using this Chinese build of SMBX in Casual Levels

User avatar
Yoshi021
Gold Yoshi Egg
Gold Yoshi Egg
Posts: 636
Joined: Thu Jan 21, 2016 9:06 pm
Flair: :)
Chat Username: SetaYoshi

Re: 1.4.2,why not?

Postby Yoshi021 » Wed Jul 06, 2016 11:06 pm

PixelPest wrote:There are a few reasons why the Admins (or just Joey possibly) decided to disallow it:
  • The first build, 1.4.1, was very unuserfriendly since it required the computer's language to be Chinese.
  • Different physics and file types, meaning that compatibility was a major issue.
  • No direct access to the code and feedback, since 38A is not part of this community or in contact with anyone who is part of it to the best of my knowledge.
  • SMBX 2.0 was started and was chosen to be focused on since it is built off of the original game and not from scratch.
EDIT: You can however post standalone levels using this Chinese build of SMBX in Casual Levels
1. Is already fixed in 1.4.2.
2. Compatible with PGE, which 2.0 will use.
3. Wohlstand has contact with 38A, but that is still not a reason to ban 1.4. Also, I wonder why 38A might not be in these forums, when the majority here rejects his engine entirely.
4. How does that make 1.4 bad or is a reason to ban 1.4.
"Going to University is FUN!"
DOWNLOAD THE SMBX LEVEL PLAYER
CHECK OUT MY NPC PACK

Join the SMBX Episode Project Discord Server
Image

Join the SMBX 38A Discord!
Image

Join the CodeHaus Discord!
Image
Image

TDK
Kamikaze Koopa
Kamikaze Koopa
Posts: 1384
Joined: Wed Nov 11, 2015 12:26 pm

Re: 1.4.2,why not?

Postby TDK » Thu Jul 07, 2016 7:55 am

BataCara wrote:I posted an episode,but, to play is needed 1.4.2 , now its locked! why i cant post in 1.4.2?
You can post SMBX 1.4 episodes in the PGE forum.
http://wohlsoft.ru/forum/viewforum.php? ... 550ccaad75

Enjl
Cute Yoshi Egg
Cute Yoshi Egg
Posts: 8728
Joined: Mon Jan 20, 2014 12:58 pm
Flair: Orphion Egamalenitar Osmos IV, Esq.

Re: 1.4.2,why not?

Postby Enjl » Thu Jul 07, 2016 8:47 am

To my knowledge, 1.4.2 is incompatible with levels made in 1.3. Using 1.4.2 by default would make all the levels we have so far unplayable. Not to mention 1.4.2's physics feel terrible and their new NPCs are a hackjob.
Ideas are useless if you can't make them real.
Image

User avatar
Yoshi021
Gold Yoshi Egg
Gold Yoshi Egg
Posts: 636
Joined: Thu Jan 21, 2016 9:06 pm
Flair: :)
Chat Username: SetaYoshi

Re: 1.4.2,why not?

Postby Yoshi021 » Thu Jul 07, 2016 2:10 pm

Enjl wrote:To my knowledge, 1.4.2 is incompatible with levels made in 1.3.
Do you mean playing a level made with 1.3 in SMBX 1.4.2. I don't know who told you this, but its false. 1.4.2 will convert the levels into 1.4.2 and all gifs into PNG.
"Going to University is FUN!"
DOWNLOAD THE SMBX LEVEL PLAYER
CHECK OUT MY NPC PACK

Join the SMBX Episode Project Discord Server
Image

Join the SMBX 38A Discord!
Image

Join the CodeHaus Discord!
Image
Image

PixelPest
Link
Link
Posts: 7116
Joined: Sun Jul 12, 2015 5:38 pm
Flair: Tamer of Boom Booms
Current Project: Boom Boom Evolution
Chat Username: PixelPest
Contact:

Re: 1.4.2,why not?

Postby PixelPest » Thu Jul 07, 2016 3:42 pm

Yoshi021 wrote:
Enjl wrote:To my knowledge, 1.4.2 is incompatible with levels made in 1.3.
Do you mean playing a level made with 1.3 in SMBX 1.4.2. I don't know who told you this, but its false. 1.4.2 will convert the levels into 1.4.2 and all gifs into PNG.
But also issues with physics can make converted levels unplayable

User avatar
Wohlstand
Boom Boom
Boom Boom
Posts: 1790
Joined: Tue Feb 11, 2014 4:44 pm
Flair: 狐エンジニア
Current Project: Moondust (PGE Project)
Chat Username: Wohlstand#4881
Contact:

Re: 1.4.2,why not?

Postby Wohlstand » Thu Jul 07, 2016 5:14 pm

Yoshi021 wrote:
Enjl wrote:To my knowledge, 1.4.2 is incompatible with levels made in 1.3.
Do you mean playing a level made with 1.3 in SMBX 1.4.2. I don't know who told you this, but its false. 1.4.2 will convert the levels into 1.4.2 and all gifs into PNG.
So, to revert this, need to open level in PGE Editor, then Save-AS and set SMBX64 LVL format. All PNGs into GIFs are can be converted via PNG2GIFs tool, or just keep PNGs as-is to use that with LunaLUA-SMBX
PGE Project, my Media and supported projects: show
Support me on the Patreon
Image

PGE Project
PGE Project SMBX Topic
PGE Project Official Site and forums
Download fresh experimental builds HERE!

I'm support:
Lowser's Conquest by Sednaiur

Image
P.S. I don't like huge signatures which would be annoying, therefore I put huge content into spoilers

User avatar
Valtteri
Larry Koopa
Larry Koopa
Posts: 2153
Joined: Sun Dec 01, 2013 1:16 pm

Re: 1.4.2,why not?

Postby Valtteri » Thu Jul 07, 2016 5:18 pm

We consider it too bad to endorse it to the point of hosting anything larger than levels made with it. The PGE forum I believe is what you would call the SMBX 1.4 level portal. http://wohlsoft.ru/forum/
Image

User avatar
Yoshi021
Gold Yoshi Egg
Gold Yoshi Egg
Posts: 636
Joined: Thu Jan 21, 2016 9:06 pm
Flair: :)
Chat Username: SetaYoshi

Re: 1.4.2,why not?

Postby Yoshi021 » Thu Jul 07, 2016 5:39 pm

But you could "host" SMBX 1.4. You could simply make a sub-forum for it like the PGE forums did. I would understand if you did not offer the amount of support as PGE or Lunalua, but why does it sometimes seems as people despise it, and discourage new users to use 1.4. I don't see how supporting 1.4 here will somehow hurt anyone.
"Going to University is FUN!"
DOWNLOAD THE SMBX LEVEL PLAYER
CHECK OUT MY NPC PACK

Join the SMBX Episode Project Discord Server
Image

Join the SMBX 38A Discord!
Image

Join the CodeHaus Discord!
Image
Image

User avatar
Quantix
Ripper II
Ripper II
Posts: 330
Joined: Tue Jan 26, 2016 5:04 pm

Re: 1.4.2,why not?

Postby Quantix » Thu Jul 07, 2016 7:37 pm

Yoshi021 wrote:But you could "host" SMBX 1.4. You could simply make a sub-forum for it like the PGE forums did. I would understand if you did not offer the amount of support as PGE or Lunalua, but why does it sometimes seems as people despise it, and discourage new users to use 1.4. I don't see how supporting 1.4 here will somehow hurt anyone.
You know, if that's really what you want, you're kinda talking to the wrong people. You need to PM Joey for this.
viewtopic.php?f=69&p=286856#p286855

Generic Quote Collection:
Spoiler: show
Skant wrote:The egg will fuck you if you don't catch it
rockythechao wrote:f6 is an over-the-counter generic run-of-the-mill store-brand bootleg knockoff f5
some people wrote:The021stYoshiFromThe021stCentury: Who would win, a tophat wearing a tophat, or hoeloe wearing hoeloe?
Hoeloe: yes
glitch4: f6
rockythecomet: that's a trick question
rockythecomet: a top hat wearing a hoeloe
Waffles & Stuff (timocomlita) wrote:No matter what you do, it's impossible to get rid of the impossible.
Petrifying wrote:Piss off with your sex doll SMBX 2.0
Enjl wrote:it puts a twist on classic 4 step level design which i like to call "2 and a half steps backwards design"

PixelPest
Link
Link
Posts: 7116
Joined: Sun Jul 12, 2015 5:38 pm
Flair: Tamer of Boom Booms
Current Project: Boom Boom Evolution
Chat Username: PixelPest
Contact:

Re: 1.4.2,why not?

Postby PixelPest » Thu Jul 07, 2016 7:39 pm

Joey has already said no period, I'm pretty sure

User avatar
Yoshi021
Gold Yoshi Egg
Gold Yoshi Egg
Posts: 636
Joined: Thu Jan 21, 2016 9:06 pm
Flair: :)
Chat Username: SetaYoshi

Re: 1.4.2,why not?

Postby Yoshi021 » Thu Jul 07, 2016 7:41 pm

Joey wrote:We haven't put much thought into a subforum at this point, but it may happen.
"Going to University is FUN!"
DOWNLOAD THE SMBX LEVEL PLAYER
CHECK OUT MY NPC PACK

Join the SMBX Episode Project Discord Server
Image

Join the SMBX 38A Discord!
Image

Join the CodeHaus Discord!
Image
Image

User avatar
Shadow Yoshi
Dark Knight
Dark Knight
Posts: 4301
Joined: Sun Dec 01, 2013 12:56 pm

Re: 1.4.2,why not?

Postby Shadow Yoshi » Fri Jul 08, 2016 12:35 pm

Valtteri wrote:We consider it too bad to endorse it to the point of hosting anything larger than levels made with it. The PGE forum I believe is what you would call the SMBX 1.4 level portal. http://wohlsoft.ru/forum/
Basically this. Supporting the Chinese build here is not something we will do at this time.


Return to “Help and Support”

Who is online

Users browsing this forum: No registered users and 2 guests